<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: google/cloud/vision/v1/product_search_service.proto

namespace Google\Cloud\Vision\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Request message for the `ListReferenceImages` method.
 *
 * Generated from protobuf message <code>google.cloud.vision.v1.ListReferenceImagesRequest</code>
 */
class ListReferenceImagesRequest extends \Google\Protobuf\Internal\Message
{
    /**
     * Required. Resource name of the product containing the reference images.
     * Format is
     * `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`.
     *
     * Generated from protobuf field <code>string parent = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = {</code>
     */
    private $parent = '';
    /**
     * The maximum number of items to return. Default 10, maximum 100.
     *
     * Generated from protobuf field <code>int32 page_size = 2;</code>
     */
    private $page_size = 0;
    /**
     * A token identifying a page of results to be returned. This is the value
     * of `nextPageToken` returned in a previous reference image list request.
     * Defaults to the first page if not specified.
     *
     * Generated from protobuf field <code>string page_token = 3;</code>
     */
    private $page_token = '';

    /**
     * @param string $parent Required. Resource name of the product containing the reference images.
     *
     *                       Format is
     *                       `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. Please see
     *                       {@see ProductSearchClient::productName()} for help formatting this field.
     *
     * @return \Google\Cloud\Vision\V1\ListReferenceImagesRequest
     *
     * @experimental
     */
    public static function build(string $parent): self
    {
        return (new self())
            ->setParent($parent);
    }

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $parent
     *           Required. Resource name of the product containing the reference images.
     *           Format is
     *           `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`.
     *     @type int $page_size
     *           The maximum number of items to return. Default 10, maximum 100.
     *     @type string $page_token
     *           A token identifying a page of results to be returned. This is the value
     *           of `nextPageToken` returned in a previous reference image list request.
     *           Defaults to the first page if not specified.
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Google\Cloud\Vision\V1\ProductSearchService::initOnce();
        parent::__construct($data);
    }

    /**
     * Required. Resource name of the product containing the reference images.
     * Format is
     * `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`.
     *
     * Generated from protobuf field <code>string parent = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = {</code>
     * @return string
     */
    public function getParent()
    {
        return $this->parent;
    }

    /**
     * Required. Resource name of the product containing the reference images.
     * Format is
     * `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`.
     *
     * Generated from protobuf field <code>string parent = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = {</code>
     * @param string $var
     * @return $this
     */
    public function setParent($var)
    {
        GPBUtil::checkString($var, True);
        $this->parent = $var;

        return $this;
    }

    /**
     * The maximum number of items to return. Default 10, maximum 100.
     *
     * Generated from protobuf field <code>int32 page_size = 2;</code>
     * @return int
     */
    public function getPageSize()
    {
        return $this->page_size;
    }

    /**
     * The maximum number of items to return. Default 10, maximum 100.
     *
     * Generated from protobuf field <code>int32 page_size = 2;</code>
     * @param int $var
     * @return $this
     */
    public function setPageSize($var)
    {
        GPBUtil::checkInt32($var);
        $this->page_size = $var;

        return $this;
    }

    /**
     * A token identifying a page of results to be returned. This is the value
     * of `nextPageToken` returned in a previous reference image list request.
     * Defaults to the first page if not specified.
     *
     * Generated from protobuf field <code>string page_token = 3;</code>
     * @return string
     */
    public function getPageToken()
    {
        return $this->page_token;
    }

    /**
     * A token identifying a page of results to be returned. This is the value
     * of `nextPageToken` returned in a previous reference image list request.
     * Defaults to the first page if not specified.
     *
     * Generated from protobuf field <code>string page_token = 3;</code>
     * @param string $var
     * @return $this
     */
    public function setPageToken($var)
    {
        GPBUtil::checkString($var, True);
        $this->page_token = $var;

        return $this;
    }

}

